include <globals.scad>;

use <catear_headband.scad>;
use <pressfit_headband.scad>;
use <chamfer.scad>;

$fn=90;
EAR_SCALE = 0.5;
EAR_BEND_FACTOR = 0.2;
EAR_STRETCH_FACTOR = 8;
STEP_SIZE = .5;

//difference() {
  translate([20*pow(0.99, SIZE/2*EAR_SCALE-1-THICKNESS), 0, -THICKNESS/2])
    /*union()*/ for (i=[0:STEP_SIZE:SIZE/2*EAR_SCALE-1]) {
      j=pow(0.99, i);
      chamfer_ = floor(abs(2*i/(SIZE/2*EAR_SCALE-1)-1));
      translate([-j*20, 0, 0])
        rotate(90, [0, 1, 0])
          /*chamfer(size=1, child_h=1, child_bot=-0.5, shape=CHAMFER_SHAPE)*/ {
            echo("i", i, "j", j, "chamfer_", chamfer_);
            catear(
              debug=DEBUG,
              height=INSERTICLE_Z*1.2,
              thickness=THICKNESS,
              side_len=SIZE/2*EAR_SCALE-i,
              bend_factor=EAR_BEND_FACTOR,
              stretch_factor=EAR_STRETCH_FACTOR,
              chamfer=0, //chamfer_,
              chamfer_shape=CHAMFER_SHAPE,
              details=false,
              end_caps=false
            );
          }
    }
//  translate([0, 0, -THICKNESS]) cube([100, 100, THICKNESS], center=true);
//  scale([1, 1, 2]) inserticle();
//}
